<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClientsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clients', function(Blueprint $table) {
            $table->increments('id');
            $table->enum('type', ['individual', 'entity'])->default('individual');
            $table->enum('status', ['active', 'inactive', 'debtor', 'fraud'])->default('inactive');
            $table->text('company')->nullable();
            $table->string('surname', 255)->nullable();
            $table->string('name', 255);
            $table->string('middlename', 255)->nullable();
            $table->text('post')->nullable();
            $table->string('phone', 255);
            $table->string('fire_phone', 255)->nullable();
            $table->string('code_word', 255)->nullable();
            $table->text('question')->nullable();
            $table->text('answer')->nullable();
            $table->text('notes')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('clients');
    }
}
