<?php

use App\User;
use Illuminate\Database\Seeder;
use Kodeine\Acl\Models\Eloquent\Role;

class AssignRolesToUsersSeeder extends Seeder
{
    const Admins = ['CWTeam', 'tehamusso'];

    public function run()
    {
        $users = User::whereIn('login', self::Admins)
            ->get();

        foreach ($users as $user) {
            $roleAdmin = Role::where('slug', 'administrator')->first();

            $user->assignRole($roleAdmin);

            $user->save();
        }

        $users = User::whereNotIn('login', self::Admins)
            ->get();

        foreach ($users as $user) {
            $roleUser = Role::where('slug', 'user')->first();

            $user->assignRole($roleUser);

            $user->addPermission('cars');
            $user->removePermission('delete.cars', false);
            $user->removePermission('hidden.cars', false);

            $user->addPermission('users');
            $user->removePermission('create.users', false);
            $user->removePermission('delete.users', false);

            $user->save();
        }

    }

}